Method: projects.locations.aclPolicies.list

Lists all ACL policies owned by a project in either the specified location (region) or all locations.

The location should have the following format:

  • projects/{projectId}/locations/{locationId}

If locationId is specified as - (wildcard), then all regions available to the project are queried, and the results are aggregated.

HTTP request

GET https://redis.googleapis.com/v1beta1/{parent=projects/*/locations/*}/aclPolicies

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the ACL policy location using the form: projects/{projectId}/locations/{locationId} where locationId refers to a Google Cloud region.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return.

If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's nextPageToken to determine if there are more ACL policies left to be queried.

The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. The nextPageToken value returned from a previous aclPolicies.list request, if any.

Request body

The request body must be empty.

Response body

Response for aclPolicies.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "aclPolicies": [
    {
      object (AclPolicy)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
aclPolicies[]

object (AclPolicy)

A list of ACL policies in the project in the specified location, or across all locations.

If the locationId in the parent field of the request is "-", all regions available to the project are queried, and the results aggregated.

nextPageToken

string

Token to retrieve the next page of results, or empty if there are no more results in the list.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.